summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-x[-rw-r--r--]autogen.sh18
1 files changed, 17 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 27eeaa1..eed3242 100644..100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,4 +1,20 @@
#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
-autoreconf -i
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+PKG_NAME="sfshare"
+REQUIRED_AUTOMAKE_VERSION=1.7
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh